Bug 732450 - Failed to access DBM file "/var/log/httpd//global": Permission denied
Summary: Failed to access DBM file "/var/log/httpd//global": Permission denied
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_security
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Fleming
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 14:06 UTC by Nerijus Baliūnas
Modified: 2012-12-28 13:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-28 13:59:28 UTC


Attachments (Terms of Use)

Description Nerijus Baliūnas 2011-08-22 14:06:33 UTC
/var/log/httpd/error_log:
ModSecurity: Failed to access DBM file "/var/log/httpd//global": Permission
denied
Failed to access DBM file "/var/log/httpd//ip": Permission denied

/var/log/httpd is owned by root:root and perms are 40700.

/etc/httpd/conf.d/mod_security.conf has:
SecDataDir /var/log/httpd/

I suggest to change it to:
SecDataDir /tmp
as earlier mod_security versions had.

Comment 1 Julian C. Dunn 2012-06-17 04:54:58 UTC
Still occurring under Fedora 17.


Note You need to log in before you can comment on or make changes to this bug.